Skip to main content
GET
List Agents

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

page_size
integer
default:30

How many Agents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
search
string | null

Search by agents name.

archived
boolean | null
default:false

Filter agents by archived status

Example:

false

created_by_user_id
string | null

Filter agents by creator user ID. When set, only agents created by this user are returned. Takes precedence over show_only_owned_agents. Use '@me' to refer to the authenticated user.

tags
string[] | null

Filter agents by tag. Repeat the parameter to match any of several tags.

Example:
sort_direction
enum<string>
default:desc

The direction to sort the results

Available options:
asc,
desc
sort_by
enum<string> | null

The field to sort the results by

Available options:
name,
created_at
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

agents
AgentSummaryResponseModel · object[]
required

A list of agents and their metadata

has_more
boolean
required

Whether there are more agents to paginate through

next_cursor
string | null

The next cursor to paginate through the agents